Jump to content

Leaderboard

Popular Content

Showing content with the highest reputation on 12/29/2021 in all areas

  1. (defun c:scc (/ ss pt1 pt2 dist size mat) (setq ss (ssget)) (setq pt1 (getpoint "Point 1 :")) (setq pt2 (getpoint "Point 2 :" pt1)) (setq dist (distance pt1 pt2)) ;; Where is "mat' set ?? (cond ((eq "S1" mat) 200) ((eq "S2" mat) 400) (t nil) ) (progn (initget "S1 S2") (setq size (getdist "\nSize scale: [S1/S2]")) (command "scale" ss "" pt1 "R" dist size) ) ) ; <- you were missing this ?? (defun c:scc_fix (/ dist pt1 pt2 size ss) (if ;; Check that selection AND pt1 AND pt2 are valid (and (setq ss (ssget)) (setq pt1 (getpoint "Point 1 :")) (setq pt2 (getpoint "Point 2 :" pt1))) (progn (setq dist (distance pt1 pt2)) (initget "S1 S2") (setq size (getdist "\nSize scale: [S1/S2]")) (command "scale" ss "" pt1 "R" dist (if (= "S1" size) 200 400 ) ) ) ) (princ) )
    2 points
  2. If I understand correct this has been asked before the answer may be over at forums/autodesk you end up with 3 plines all connected back to the same start point. Think electrical wire. Sorry no idea what to google for.
    1 point
  3. The other alternative is to rework out the 4 pts and redraw. If you use the rectang command its always drawn in a certain order. Using VL you can put-coordinates for a Pline. So my take the existing size is shown just enter new values.
    1 point
  4. I approached Bricscad support for a couple of questions and they came back like within 48 hours with a solution to my problem. You see major employees at "Bricscad forum" answering questions yes some are next version will be fixed. Unless you have a good Autocad dealer you are stuck sometimes with problems. Over at Forums/autodesk many of us have asked when the forum will be brought up to date there answer is to many posts. There is a frustrating edit time of 30 minutes so your code can end up getting posted many times as you update can not go back and say update 1 version of the code. Even for that last ")" that you accidently left off. For me I use the Cut&paste version of VLIDE testing as I go.
    1 point
  5. No Its not just you. don't get me wrong when you grow to the size of Autodesk I'm sure their is a lot of "red tape" and testing when trying to fix bugs/updates. But the straw in my case was after posting on their forums about a bug the response I got was just wait til the new version comes out "it should be fixed by then". Thats when i switched over to BricsCAD. About 95% of the lisp worked with out editing anything. the rest either had minimum changes to get them working. and only one or two that the command wasn't available and had to do a rewrite.
    1 point
  6. You're welcome liuhaixin!
    1 point
  7. Try using the FILTER tool instead. You can use wildcard matches in the Block Name text box. For example if the block name was "BLOCK-FURNITURE-TABLE" you could do *FURN* and it would grab only blocks with "FURN" in the block name.
    1 point
×
×
  • Create New...